using System;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            int x1, x2, y1, y2;
            var linija1 = Console.ReadLine().Split();
            x1 = int.Parse(linija1[0]);
            y1 = int.Parse(linija1[1]);
            var linija2 = Console.ReadLine().Split();
            x2 = int.Parse(linija2[0]);
            y2 = int.Parse(linija2[1]);
            if (x1 != x2 && y1 != y2)
            {
                if (Math.Abs(x2 - x1) != Math.Abs(y2 - y1))
                    Console.WriteLine("0");
                else
                    Console.WriteLine("1");
            }
            else
                Console.WriteLine("2");
        }
    }
}